// commands.h - header file for defining console commands 
//
// see LICENSE.txt for licensing information
//
// (c) 2008 Wesley M. Eddy
// 

#ifndef _COMMANDS_H
#define _COMMANDS_H 1

#include "../saratogaLib/saratoga.h"

const unsigned short MAX_CMDS = 15;

typedef struct cmdHandler {
	std::wstring cmd;
	void (*handler)(std::wstring &rest);
	std::wstring helper;
} cmdHandler;
extern cmdHandler cmds[MAX_CMDS];

extern bool killAllThreads;

extern const wchar_t *promptString1;

void handleCommand(std::wstring &c);

#endif
